//file->ExtendedString.h

#import <Foundation/NSString.h>
#import <Foundation/NSDictionary.h>

@interface NSString( ExtendedPropertyListString )

- (Class)classForCell;
- (Class)classForMatrix;
- selectedPropertyByCell:element;
- deepMutableCopy:pList firstCall:(BOOL)firstRecursiveCall;
- (NSDictionary*)packageDictionaryWithKeys:(NSArray*)keys;
- findObject:anObject;
- (NSString*)newCellName;
- allKeys;
- (int)count;
//- (BOOL)writeToFile:(NSString*)filename atomically:(BOOL)flag;	//<ABA>

@end

@interface NSMutableString( ExtendedMutablePropertyListString )

- (void)takeValueFromDictionary:(NSDictionary*)dictionary;

@end