//file->AbstractBrowserCell.h

#import <AppKit/AppKit.h>
#import <EOInterface/EOInterface.h>

@interface AbstractBrowserCell:NSBrowserCell
{
	id		propertyElt;
	id		matrix;
	NSImage*	cellIcon;
}

+ (void) setCellClass:(Class)aClass;
+ (NSImage*)findImageNamed:(NSString*)imageName;
- (Class)propertyClass;
- propertyElt;
- (void)setPropertyElt:elt;
- (void)setMatrix:aMatrix;
- (void)selectEditField;
- (BOOL)shouldBeLeaf:key;
- (BOOL)isStringCell;
- (BOOL)shouldBeEditable;
- (BOOL)isNonTerminal;
- (NSString*)string;
- (NSString*)pathString;

- mutableCopyWithZone:(NSZone*)zone;
- (NSString*)description;

- (BOOL)saveNewValue:(NSDictionary*)dictionary;
- (void)dealloc;

@end