//file->ExtendedArray.h

#import <AppKit/AppKit.h>
#import <Foundation/NSArray.h>
#import <Foundation/NSDictionary.h>

@interface NSArray( ExtendedImmutablePropertyListArray )

- (Class)classForCell;
- (Class)classForMatrix;
- selectedPropertyByCell:element;
- deepMutableCopy:pList firstCall:(BOOL)firstRecursiveCall;
- (NSDictionary*)packageDictionaryWithKeys:(NSArray*)keys;
- findObject:anObject;
- (NSString*)newCellName;
- (NSArray*)allKeys;

@end

@interface NSMutableArray( ExtendedPropertyListArray )

- (void)removeObjectForKey:(NSString*)aKey;
- (void)takeValueFromDictionary:(NSDictionary*)dictionary;

@end