//file->ExtendedDictionary.h

#import <Foundation/NSDictionary.h>

@interface NSDictionary( ExtendedPropertyListDictionary )

- (Class)classForCell;
- (Class)classForMatrix;
- selectedPropertyByCell:element;
- deepMutableCopy:pList firstCall:(BOOL)firstRecursiveCall;
- (NSDictionary*)packageDictionaryWithKeys:(NSArray*)keys;
- findObject:anObject;
- (NSString*)newCellName;
- (NSArray*)sortedKeys;

@end

@interface NSMutableDictionary( ExtendedMutablePropertyListDictionary )

- (void)takeValueFromDictionary:(NSDictionary*)dictionary;

@end